Update export policy properties
Updates the properties of an export policy to modify its name or replace all associated export policy rules. This is useful when you need to adjust access permissions or restructure existing export configurations.
HTTP method and endpoint
PATCH /protocols/nfs/export-policies/{id}
Introduced in
ONTAP 9.6
Usage notes
Updates the properties of an export policy to change an export policy name or replace all export policy rules.
Related ONTAP commands
-
vserver export-policy rename -
vserver export-policy rule delete -
vserver export-policy rule create
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
id |
integer |
path |
True |
Export Policy ID |
Request Body
| Name | Type | Description |
|---|---|---|
id |
integer |
Export Policy ID |
name |
string |
Export Policy Name |
rules |
array[export_rules] |
Rules of the Export Policy. |
svm |
SVM, applies only to SVM-scoped objects. |
Example request
{
"id": 0,
"name": "string",
"rules": [
{
"anonymous_user": "string",
"chown_mode": "string",
"clients": [
{
"match": "0.0.0.0/0"
}
],
"ntfs_unix_security": "string",
"protocols": [
"string"
],
"ro_rule": [
"string"
],
"rw_rule": [
"string"
],
"superuser": [
"string"
]
}
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1703950 |
Failed to rename ruleset |
1703952 |
Invalid ruleset name provided. No spaces are allowed in a ruleset name |
1704036 |
Invalid clientmatch: missing domain name |
1704037 |
Invalid clientmatch: missing network name |
1704038 |
Invalid clientmatch: missing netgroup name |
1704039 |
Invalid clientmatch |
1704040 |
Invalid clientmatch: address bytes masked out by netmask are non-zero |
1704041 |
Invalid clientmatch: address bytes masked to zero by netmask |
1704042 |
Invalid clientmatch: too many bits in netmask |
1704043 |
Invalid clientmatch: invalid netmask |
1704044 |
Invalid clientmatch: invalid characters in host name |
1704045 |
Invalid clientmatch: invalid characters in domain name |
1704047 |
The export policy name cannot be longer than 256 characters |
1704050 |
Invalid clientmatch: clientmatch list contains a duplicate string. Duplicate strings in a clientmatch list are not supported |
1704054 |
Invalid clientmatch: invalid characters in netgroup name. Valid characters for a netgroup name are 0-9, A-Z, a-z, ".", "_" and "-" |
1704064 |
Clientmatch host name too long |
1704065 |
Clientmatch domain name too long |
3277000 |
Upgrade all nodes to ONTAP 9.0.0 or above to use krb5p as a security flavor in export-policy rules |
3277083 |
User ID is not valid. Enter a value for User ID from 0 to 4294967295 |
3277149 |
The "Anon" field cannot be an empty string |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
export_clients
| Name | Type | Description |
|---|---|---|
match |
string |
Client Match Hostname, IP Address, Netgroup, or Domain. You can specify the match as a string value in any of the following formats:
|
export_rules
| Name | Type | Description |
|---|---|---|
allow_device_creation |
boolean |
Specifies whether or not device creation is allowed. |
allow_suid |
boolean |
Specifies whether or not SetUID bits in SETATTR Op is to be honored. |
anonymous_user |
string |
User ID To Which Anonymous Users Are Mapped. |
chown_mode |
string |
Specifies who is authorized to change the ownership mode of a file. |
clients |
array[export_clients] |
Array of client matches |
index |
integer |
Index of the rule within the export policy. |
ntfs_unix_security |
string |
NTFS export UNIX security options. |
protocols |
array[string] |
|
ro_rule |
array[string] |
Authentication flavors that the read-only access rule governs |
rw_rule |
array[string] |
Authentication flavors that the read/write access rule governs |
superuser |
array[string] |
Authentication flavors that the superuser security type governs |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
export_policy
| Name | Type | Description |
|---|---|---|
id |
integer |
Export Policy ID |
name |
string |
Export Policy Name |
rules |
array[export_rules] |
Rules of the Export Policy. |
svm |
SVM, applies only to SVM-scoped objects. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |